#include <OneWire.h>
#include <DallasTemperature.h>
class Truhe {
  private:
    OneWire _oneWire;
    DallasTemperature _sensors;
    int _relay;
    uint8_t _sensorpin;
    int _stat = -1;
    float _cur_temp = 0;
    int _updlcd = 0;
    String _name = "";
  public:
    Truhe(String, int, uint8_t);
    void setup();
    void mess();
    void schalt(int, int);
    int getUpdLcd();
    void setUpdLcd(int);
    int getRelay();
    int getSensorPin();
    int getStat();
    int getCurTemp();
    String getName();
};
